Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223819 - Add HL-1250-driver to support several Brother printers
Summary: Add HL-1250-driver to support several Brother printers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-01-22 17:01 UTC by Henning Norén
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 8.15.3-4.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 09:52:28 UTC


Attachments (Terms of Use)
Adds driver for several Brother printers (deleted)
2007-01-22 17:01 UTC, Henning Norén
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 2209 None None None Never
CUPS Bugs and Features 2214 None None None Never

Description Henning Norén 2007-01-22 17:01:51 UTC
Description of problem:
The driver for several Brother-printers is missing from ghostscript in FC6.
These printers (HL-2030 among others) worked in FC4.

Version-Release number of selected component (if applicable):
ghostscript-8.15.3-1

How reproducible:
Always


Additional info:
The actual driver and code is taken from the following page;
openprinting.org/show_driver.cgi?driver=hl1250

Comment 1 Henning Norén 2007-01-22 17:01:51 UTC
Created attachment 146196 [details]
Adds driver for several Brother printers

Comment 2 Tim Waugh 2007-01-23 15:31:59 UTC
Reported upstream.

Comment 3 Till Kamppeter 2007-01-24 00:26:29 UTC
The driver is already in the upstream package, in the addons/ directory. See my
comment in the upstream report:

http://www.cups.org/str.php?L2209

Please make sure that you build with

./configure --with-drivers=ALL

for the distro. This is not an upstream problem, but a packaging problem in FC6.




Comment 4 Tim Waugh 2007-01-24 10:31:27 UTC
Er.. the configure help output says that ALL is the default for that option. 
How is it not a CUPS bug that omitting '--with-drivers=ALL' has any effect?

Comment 5 Till Kamppeter 2007-01-24 10:36:58 UTC
Then post a new STR against ESP GhostScript reporting that the "./configure
--help" output is wrong concerning the "--with-drivers" option.


Comment 6 Tim Waugh 2007-02-06 10:38:16 UTC
Please try ghostscript-8.15.3-4.fc6 from updates-testing:

yum --enablerepo=updates-testing update 'ghostscript*'


Comment 7 Henning Norén 2007-02-13 20:43:56 UTC
Sorry for the late reply, but I did not have any quick access to the printer.
But, now I got a positive confirmation that the updated package fixes the issue.

Thank you so much for your help with this.

Comment 8 Fedora Update System 2007-02-14 19:58:15 UTC
Fixed in update: ghostscript-8.15.3-4.fc6


Note You need to log in before you can comment on or make changes to this bug.